Get CLI Authorization Request
curl --request GET \
--url https://api.example.com/api/v1/auth/cli/request \
--cookie airmux_session=import requests
url = "https://api.example.com/api/v1/auth/cli/request"
headers = {"cookie": "airmux_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'airmux_session='}};
fetch('https://api.example.com/api/v1/auth/cli/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"client_name": "<string>",
"requester": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"can_approve_instance": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authentication
Get CLI Authorization Request
Return the client and expiry details for a device authorization code.
Authentication: browser session.
GET
/
api
/
v1
/
auth
/
cli
/
request
Get CLI Authorization Request
Authorizations
Browser session cookie returned by login or signup. Browser requests must also send X-Requested-With.
Query Parameters
Device authorization code shown by the CLI
Response
Successful Response
Show child attributes
Show child attributes